Bug 26272 - Allow cashup summaries to be displayed from the library summary page
Summary: Allow cashup summaries to be displayed from the library summary page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
: 26677 (view as bug list)
Depends on: 26274
Blocks: 27779
  Show dependency treegraph
 
Reported: 2020-08-21 13:56 UTC by Martin Renvoize
Modified: 2021-03-19 16:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement utilises the recently introduced API routes for cashup summaries to allow the display of the cashup summary for the most recent cashup performed on each cash register visible on the cash management library summary page.
Version(s) released in:
21.05.00


Attachments
Bug 26272: Add ajax driven cashup modal to library page (2.35 KB, patch)
2021-01-28 21:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26272: Add ajax driven cashup modal to library page (2.35 KB, patch)
2021-02-01 08:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26272: Add ajax driven cashup modal to library page (2.35 KB, patch)
2021-02-01 11:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26272: Add ajax driven cashup modal to library page (2.35 KB, patch)
2021-02-01 16:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26272: Add ajax driven cashup modal to library page (2.42 KB, patch)
2021-02-09 16:41 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 26272: Add ajax driven cashup modal to library page (2.47 KB, patch)
2021-03-04 21:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-08-21 13:56:06 UTC
With bug 26172 we add a nice display for the most recent cashup to have taken place on a cash register.

We should add the ability to display this same data, per register, from the cash management library details page.
Comment 1 Martin Renvoize 2021-01-26 12:05:17 UTC
*** Bug 26677 has been marked as a duplicate of this bug. ***
Comment 2 Martin Renvoize 2021-01-26 12:06:17 UTC
Katrin Fischer 2020-10-14 12:43:10 BST
When performing the cashup from the link on the tools page, after saving the cashup, the summary link is not visible. You are required to switch to the register details page in order to se it.

It would be nice if the link and print option showed up there as well.
Comment 3 Martin Renvoize 2021-01-28 21:07:57 UTC
Created attachment 115993 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff
Comment 4 Martin Renvoize 2021-02-01 08:42:50 UTC
Created attachment 116138 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff
Comment 5 Martin Renvoize 2021-02-01 11:35:59 UTC
Created attachment 116147 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff
Comment 6 Martin Renvoize 2021-02-01 16:47:18 UTC
Created attachment 116177 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff
Comment 7 PTFS Europe Sandboxes 2021-02-09 16:41:19 UTC
Created attachment 116606 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Sally 2021-02-09 16:41:44 UTC
Works as described.
Comment 9 Martin Renvoize 2021-02-09 17:09:02 UTC
Thanks for testing Sally :)
Comment 10 Katrin Fischer 2021-03-04 21:04:39 UTC
Created attachment 117764 [details] [review]
Bug 26272: Add ajax driven cashup modal to library page

This patch adds an ajax driven cashup summary modal to the library
registers summary page.

Test plan
1/ Enable UseCashRegisters in the system preferences
2/ Add at least one cash register to your library
3/ Make some payments of various types (Cash, Card) against the cash
register
4/ View the register transactions details page
5/ Make a refund against a payment
6/ Cashup
7/ View the cashup summary by clicking on the 'Summary' link on the
register page.
8/ Navigate to the 'libraries' summary page
9/ View the cashup summary by clicking on the 'Summary' link in the
registers table.
10/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-03-16 15:10:41 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 12 Fridolin Somers 2021-03-19 16:41:15 UTC
Depends on Bug 26274 not in 20.11.x